> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/review.md).

# Review

A Review that features in an anime or manga

| Field            |                                                                                                        Argument | Type                                                                        | Description |
| ---------------- | --------------------------------------------------------------------------------------------------------------: | --------------------------------------------------------------------------- | ----------- |
| **id**           |                [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the review                                                        |             |
| **userId**       |                [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the review's creator                                              |             |
| **mediaId**      |                [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the review's media                                                |             |
| **mediaType**    |       [MediaType](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/mediatype/README.md) | For which type of media the review is for                                   |             |
| **summary**      |           [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | A short summary of the review                                               |             |
| **body**         |           [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The main review body text                                                   |             |
| asHtml           |         [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown                    |             |
| **rating**       |                 [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The total user rating of the review                                         |             |
| **ratingAmount** |                 [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of user ratings of the review                                    |             |
| **userRating**   | [ReviewRating](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/reviewrating/README.md) | The rating of the review by currently authenticated user                    |             |
| **score**        |                 [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The review score of the media                                               |             |
| **private**      |         [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the review is not yet publicly published and is only viewable by creator |             |
| **siteUrl**      |           [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the review page on the AniList website                          |             |
| **createdAt**    |                [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time of the thread creation                                             |             |
| **updatedAt**    |                [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time of the thread last update                                          |             |
| **user**         |               [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The creator of the review                                                   |             |
| **media**        |             [Media](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/media/README.md) | The media the review is of                                                  |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/review.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
